"use strict";

// Vue对象示例
var app = null;

// -- 界面初始化
Base.onViewCreate(function() {
});
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
	app.fnInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    // Vue状态清理
    appInit();
	app.fnInit();
});

function appInit(){
	app = new Vue({
        el: '#app',
        data: {
			signaturePad: '',
			canvas: '',
			winWidth: 0,
			canHeight: 0
        },
        methods: {
			fnInit: function() {
				var _this = this;
				_this.canvas = document.getElementById("canvas");
				_this.winWidth = $('.content').outerWidth();
				_this.canHeight = $(window).outerHeight()-$('.btns').outerHeight();
				_this.canvas.width = _this.winWidth;
				_this.canvas.height = _this.canHeight;
				_this.signaturePad = new SignaturePad(_this.canvas, {
					minWidth: 1,
					maxWidth: 5,
					throttle: 24,
					backgroundColor: "#fff",
				});
				_this.signaturePad.clear();
				// _this.fnInitImg();
			},
			// fnInitImg: function() {
			// 	var _this = this;
			// 	var pageParam = md.pageParam || {};
			// 	if (pageParam.relImg.length>0) {
			// 		_this.signaturePad.fromDataURL(pageParam.relImg);
			// 	}
			// },
			fnClear: function() {
				this.signaturePad.clear();
			},
			fnSave: function() {
				var _this = this;
				if (!_this.signaturePad.isEmpty()) {
					var img = _this.signaturePad.toDataURL("image/jpeg");
					rotateBase64(img).then((dataURL)=>{
						md.sendEvent({
						    name: 'e_sign',
						    extra: {
								img: img,
						        dataURL:dataURL
						    }
						});
					});
					
					
					md.closeWin();
				}else {
					md.toast({
						msg: '签名板无内容，请重新签名！',
						duration: 3000
					})
				}
			}
			
        }
    });
}

function rotateBase64(data){   //传入需要旋转的base64图片
	return new Promise((resolve, reject) => {
		const imgView = new Image();
		imgView.src = data;
		const canvas = document.getElementById('canvas-change');
		const context = canvas.getContext('2d');
		const cutCoor = {sx: 0, sy: 0, ex: 0, ey: 0}; // 裁剪坐标
		imgView.onload = () => {
		const imgW = imgView.width;
		const imgH = imgView.height;
		const size = imgH;
		canvas.width = size * 2;
		canvas.height = size * 2;
		cutCoor.sx = size;
		cutCoor.sy = size - imgW;
		cutCoor.ex = size + imgH;
		cutCoor.ey = size + imgW;
		context.translate(size, size);
		context.rotate(Math.PI/2*3);
		context.drawImage(imgView, 0, 0);
		const imgData = context.getImageData(cutCoor.sx, cutCoor.sy, cutCoor.ex, cutCoor.ey);
		canvas.width = imgH;
		canvas.height = imgW;
		context.putImageData(imgData, 0, 0);
		resolve(canvas.toDataURL('image/jpeg'));
	  };
	});
}
