"use strict";

// Vue对象示例
var app = null;
var hgS1 = null;

// -- 界面初始化
Base.onViewCreate(function() {
    // appInit();
    // app.fnGetSLJG();
});
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    // Vue状态清理
    appInit();
	app.fnInit();
});

function appInit(){
	app = new Vue({
        el: '#app',
        data: {
			chooseList: [{label: '相机',value: 0},{label: '相册',value: 1}],
			queryImgList: [],
			imgList: [],
			camera: ['camera','album'],
			material: {},
			fileName: 0,
			attach_id: []	// 用于删除文件
        },
        methods: {
			fnInit: function() {
				var pageParam = md.pageParam || '';
				this.material = pageParam;
				this.fnGetImg();
			},
			fnShowCamera: function() {
				$('.u-camera-selected').removeClass('md-hide');
			},
			fnChooseCamera: function(camera) {
				var _this = this;
				$('.u-camera-selected').addClass('md-hide');
				var index = camera.value;
				md.getMedia({
				    sourceType: _this.camera[index],
				    encodingType: 'jpg',
				    mediaType: 'pic',
				    destinationType: 'base64',
				    allowEdit: true,
				    quality: 100,
				    // targetHeight: 100,
				    // targetWidth: 100,
				    saveToPhotoAlbum: false
				}, function(ret, err){
				    if(ret){
						console.log('--ret--' + JSON.stringify(ret));
						_this.fnUploadData(ret.base64Data);
				    }else{
				        console.log(err.msg);
				    }
				});
			},
			fnGetImg: function() {
				var _this = this;
				_this.imgList = [];
				_this.attach_id = [];
				var queryParam = {};
				queryParam["aaa121"] = 'kmosp0022';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_022';
				queryParam["jybh"] = 'SIH001';
				queryParam["project_no"] = _this.material.project_no;
				queryParam["material_code"] = _this.material.material_code;
				queryParam["material_id"] = '';
				console.log('--queryParam--' + JSON.stringify(queryParam));
				Base.requestServer("queryData", queryParam, function(data){
					if ('S001' == data.code) {
						if (data.data.result != '') {
							if (Base.isArray(data.data.result)) {
								_this.queryImgList = data.data.result;
							}else {
								_this.queryImgList.push(data.data.result);
							}
						}
						for(var i = 0; i < _this.queryImgList.length; i++){
							var imgurl  = 'data:image/jpg;base64,' + _this.queryImgList[i].base64;
							_this.imgList.push(imgurl);
							_this.attach_id.push(_this.queryImgList[i].attach_id);
						}
						_this.fnSetImgLen(_this.imgList.length);
					}
				}, true);
			},
			fnUploadData: function(base64) {
				var _this = this;
				var queryParam = {};
				queryParam["aaa121"] = 'kmosp0013';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_013';
				queryParam["jybh"] = 'SIH001';
				queryParam["project_no"] = _this.material.project_no;
				queryParam["material_code"] = _this.material.material_code;
				queryParam["material_name"] = _this.material.material_name;
				queryParam["base64"] = base64;
				queryParam["scan_name"] = "昆明市人社通";
				queryParam["file_name"] = _this.fileName+".jpg";
				queryParam["is_need"] = _this.material.is_need;
				queryParam["image_desc"] = "";
				queryParam["image_path"] = "";
				Base.requestServer("queryData", queryParam, function(data){
					if ('S001' == data.code) {
						_this.fileName++;
						_this.attach_id.push(data.data.attach_id);
						var imgurl  = 'data:image/jpg;base64,' + base64;
						_this.imgList.push(imgurl);
					}
					_this.fnSetImgLen(_this.imgList.length);
					console.log('--imgList--' + JSON.stringify(_this.imgList));
				}, true);
			},
			fnSetImgLen: function(len) {
				var jsfun = 'app.fnSetLen("' + len +'");';
				md.execScript({
				    name: "titleNav",
				    frameName: "uploadData",
				    script: jsfun
				});
			},
			fnRemoveImg: function(index) {
				index = parseInt(index);
				this.imgList.splice(index, 1);
				this.fnDeleteImg(index);
			},
			fnDeleteImg: function(index) {
				var _this = this;
				var queryParam = {};
				queryParam["aaa121"] = 'kmosp0045';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_045';
				queryParam["jybh"] = 'SIH001';
				queryParam["project_no"] = _this.material.project_no;
				queryParam["attach_id"] = _this.attach_id[index];
				Base.requestServer("queryData", queryParam, function(data){
				}, true);
			},
			fnSubmit: function() {
				md.closeWin({
				    animation: {
				        type: 'fade',
				        duration: 0
				    }
				});
			}
        }
    });
}
