// Vue对象示例
var app = null;
var hgS1 = null;

var base_guid; //上个页面事项编码
var promise_day;//上个页面事项承诺期限
var task_name;
var sc_list = [];
var materialFlag = false; //办事材料是否获取标志（已获取不再重新执行查询）
var feedbackFlag = false; //反馈材料是否获取标志（已获取不再重新执行查询）

//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    var data = md.pageParam;
    // 事项编码
    base_guid = data.base_guid;
    promise_day = data.promise_day;
	task_name = data.task_name;
    appInit();
    app.fnGetSLJG();
});

function appInit(){
    app = new Vue({
        el: '#app',
        data: {
            orgList: [],
            org: {},
        },
        methods: {
            fnOpenSwiper: function() {
                console.log('org--' + JSON.stringify(this.org));
                pullRefresh.hideHeader({hide:true});
                hgS1.openSelectSwiper();
            },
            fnInitSwiper: function(dataList) {
                // 初始化受理机构下拉框
                var _this = this;
                hgS1=new selectSwiper(
                    {
                        el:'.select_box1',
                        data: dataList,
                        init:function(index){
                            if(index!==-1){
                                _this.org = this.data[index];
                            }
                        },
                        okFunUndefind:function(){
                            md.toast({
                                msg: '必须选择一项',
                                duration: 2000,
                                location: 'middle'
                            });
                            return false;
                        },
                        okFun:function(index){
                            console.log(index);
                            if(index!==-1){
                                 _this.org = this.data[index];
                                fnQuerySerciceGuide(_this.org.credit_code);
                            }
                        },
                        closeFun:function(){
                            console.log('取消');
                        },
                    }
                );
            },
            fnGetSLJG: function() {
                // 1.查询受理机构列表
                var _this = this;
                var queryParam = {};
                queryParam["aaa121"] = 'kmosp0054';
                queryParam["csj012"] = 'kmosp243ggfw_kmosp_054';
                queryParam["jybh"] = 'SIH001';
                queryParam["base_guid"] = md.pageParam.base_guid;
                console.log('--queryParam--' + JSON.stringify(queryParam));
                Base.requestServer("queryData", queryParam, function(data){
                    console.log('查询结果：'+JSON.stringify(data));
                    if ('S001' == data.code) {
                        if (Base.isArray(data.data.deptList)) {
                            _this.orgList = data.data.deptList;
                        }else {
                            _this.orgList.push(data.data.deptList);
                        }
                        _this.org = _this.orgList[0];
                        _this.fnInitSwiper(_this.orgList);  //初始化经办机构下拉
                        fnQuerySerciceGuide(_this.org.credit_code); //调用查询服务指南
                    }
                }, true);
            }
        }
    })
}


/*
    导航切换
 */
Base.click(".guide-menu span",function($this){
    $this.addClass("active").siblings().removeClass("active");
    var index = $this.attr("tag");
    for (var i = 0; i < 4; i++) {
        if (i != index) {
            $("#content"+i).hide();
        } else {
            $("#content"+i).show();
        }
    }
})
 /*
    收藏
 */
Base.click(".btn-collection",function($this){
    var value = $this.attr("collectionValue");
    console.log(value)
    if (value == 0) {
		fnAdd();
        $this.find("span").removeClass("icon-collection").addClass("icon-collection-active");
        $this.attr("collectionValue","1");
		$('#sc').html('已收藏');
    } else if (value == 1) {
		fnDelete();
        $this.find("span").removeClass("icon-collection-active").addClass("icon-collection");
        $this.attr("collectionValue","0");
		$('#sc').html('收藏');
    }
})
/*
    申报
 */
Base.click(".btn-declare",function($this){
    var param = {
        "base_guid":base_guid,
        "promise_day": promise_day
    }
    var data = {};
    data.url = "wgt://generalService/declare/titleNav.html";
    data.name = "titleNav";
    data.title = "资料上传";
    data.frameName = "uploadData";
    data.frameUrl = "wgt://generalService/declare/uploadData.html";
    data.reload = true;
    data.framePageData = param;
    Base.openWin(data);
})

// 新增收藏
function fnAdd() {
	var queryParam = {};
	queryParam["jybh"] = 'VCS071';
	queryParam["aac002"] = Base.getStorage('aac002');
	queryParam["base_guid"] = base_guid;
	queryParam["promise_day"] = promise_day;
	queryParam["task_name"] = task_name;
	console.log('--queryParam--' + JSON.stringify(queryParam));
	Base.requestServer("queryData", queryParam, function(data){
		console.log('查询结果：'+JSON.stringify(data));
		fnQuery();
	}, true);
}

// 查询收藏
function fnQuery() {
	var queryParam = {};
	queryParam["jybh"] = 'VCS075';
	queryParam["aac002"] = Base.getStorage('aac002');
	queryParam["base_guid"] = base_guid;
	console.log('--queryParam--' + JSON.stringify(queryParam));
	Base.requestServer("queryData", queryParam, function(data){
		console.log('查询结果：'+JSON.stringify(data));
		sc_list = data.output;
		if (sc_list.length <= 0) {
			$('.btn-collection').find("span").removeClass("icon-collection-active").addClass("icon-collection");
			$('.btn-collection').attr("collectionValue","0");
			$('#sc').html('收藏');
		} else {
			$('.btn-collection').find("span").removeClass("icon-collection").addClass("icon-collection-active");
			$('.btn-collection').attr("collectionValue","1");
			$('#sc').html('已收藏');
		}
	}, true);
}

// 取消收藏
function fnDelete() {
	var queryParam = {};
	queryParam["jybh"] = 'VCS072';
	queryParam["zhsl_id"] = sc_list[0].zhsl_id;
	console.log('--queryParam--' + JSON.stringify(queryParam));
	Base.requestServer("queryData", queryParam, function(data){
		console.log('查询结果：'+JSON.stringify(data));
		fnQuery();
	}, true);
}
/*
    查询服务指南
    param:base_guid(事项编码)
*/
function fnQuerySerciceGuide(credit_code) {
    if (!materialFlag) {
        var param = {};
        param["jybh"] = 'SIH001';
        param["csj012"] = "kmosp243ggfw_kmosp_057";  //接口编号
        param["aaa121"] = 'kmosp0057';  //信息平台分发编号
        param["base_guid"] = base_guid;  //事项编码
        param["credit_code"] = credit_code;  //事项编码
        Base.requestServer("queryData", param, getServiceGuide_callback, true);
    }
}
function getServiceGuide_callback(data) {
    if (data.code == 'S001') {
        let list = data.data.thingList;
        $("#service-title").text(list.local_task_name); //事项名称
        if (list.promise_day == '当场办结') {  //标签
            $("#service-tips").html("<span>即办件</span>");
        } else {
            $("#service-tips").html("<span>承诺件</span>");
        }
        $("#service-dept").text(list.dept_name); //承办机构
        $("#service-contact").text(list.link_way); //联系电话
        $("#service-supervise").text(list.supervise_way); //监督电话
        $("#service-addr").text(list.transact_addr); //办理地址
        $("#service-time").text(list.transact_time); //办理时间
        // TODO 全部配置自然人办理，其他码值暂不录入
        if (list.server_type == 1) {
            list.server_type = '自然人';
        }
        $("#service-type").text(list.server_type); //办理对象
        if (!list.fee_basis) {
            $("#service-fee").text("暂无收费标准"); //收费标准
        }
        $("#service-fee").text(list.fee_basis); //收费标准
        $("#service-law-time").text(list.anticipate_day); //法定期限
        $("#service-promise-time").text(list.promise_day); //承诺期限
    }
}

/*
    查询办事材料
    param:base_guid_list(事项编码)
*/
function fnGetMaterial() {
    if (!materialFlag) {
        var param = {};
        param["jybh"] = 'SIH001';
        param["csj012"] = "kmosp243ggfw_kmosp_003";  //接口编号
        param["aaa121"] = 'kmosp0003';  //信息平台分发编号
        param["base_guid_list"] = base_guid;  //事项编码
        Base.requestServer("queryData", param, getMaterial_callback, true);
    }
}

function getMaterial_callback(data) {
    if (data.code == 'S001') {
        let listArr = data.data;
        let list = [];
        if (listArr instanceof Array) {
            list = listArr
        } else {
            list.push(listArr.output)
        }
        materialFlag = true;
        let html = '';
        for (let i = 0; i < list.length; i++) {
            // TODO 暂时随便写死
            if (list[i].material_type == 1) {
                list[i].material_type = '纸质原件'
            } else {
                list[i].material_type = '收取复印件'
            }
            if (list[i].is_need == 1) {
                html += '<div class="box service-material-box">'+
                    '<div class="md-box md-ver guide-box">'+
                        '<div class="guide-title">'+
                            '<div class="title">'+
                                '<span class="icon-title"></span>'+
                                '<span class="text-title">'+list[i].material_name+'</span>'+
                            '</div>'+
                        '</div>'+
                        '<div class="guide-num-service">'+
                            '<div>'+
                                '<span class="icon-need">必要</span>'+
                                '<span>材料要求：纸质原件</span>'+
                            '</div>'+
                        '</div>'+
                    '</div>'+
                    '<div class="form-group">'+
                        '<button class="btn btn-blank">空白表单</button>'+
                        '<button class="btn btn-example">示例表单</button>'+
                    '</div>'+
                '</div>';
            } else {
                html += '<div class="box service-material-box">'+
                    '<div class="md-box md-ver guide-box">'+
                        '<div class="guide-title">'+
                            '<div class="title">'+
                                '<span class="icon-title"></span>'+
                                '<span class="text-title">'+list[i].material_name+'</span>'+
                            '</div>'+
                        '</div>'+
                        '<div class="guide-num-service">'+
                            '<div>'+
                                '<span class="icon-no-need"非必要</span>'+
                                '<span>'+list[i].material_type+'</span>'+
                            '</div>'+
                        '</div>'+
                    '</div>'+
                '</div>';
            }
            
        }
        $("#content1").html(html);
    } else {
        let html = '<div class="no-content-img">'+
                    '<img src="img/detail/info_describle.png">'+
                    '<span>查询服务出错，稍后再试</span>'+
                '</div>';
        $("#content1").html(html);
    }
}

/*
    查询反馈材料
    param:base_guid_list(事项编码)
*/
function fnGetFeedbackMaterial() {
    if (!feedbackFlag) {
        var param = {};
        param["jybh"] = 'SIH001';
        param["csj012"] = "kmosp243ggfw_kmosp_028";  //接口编号
        param["aaa121"] = 'kmosp0028';  //信息平台分发编号
        param["base_guid_list"] = base_guid;  //事项编码
        Base.requestServer("queryData", param, getFeedbackMaterial_callback, true);
    }
}

function getFeedbackMaterial_callback(data) {
    if (data.code == 'S001') {
        let listArr = data.data;
        let list = [];
        if (listArr instanceof Array) {
            list = listArr
        } else {
            list.push(listArr.output)
        }
        feedbackFlag = true;
        let html = '';
        for (let i = 0; i < list.length; i++) {
            html += '<div class="box service-material-box">'+
                '<div class="md-box md-ver guide-box">'+
                    '<div class="guide-title">'+
                        '<div class="title">'+
                            '<span class="icon-title"></span>'+
                            '<span class="text-title">就业困难人员认定</span>'+
                        '</div>'+
                        '<div class="tip">'+
                            '<button class="btn btn-example">示例表单</button>'+
                        '</div>'+
                    '</div>'+
                '</div>'+
            '</div>';
        }
        $("#content2").html(html);
    } else {
        let html = '<div class="no-content-img">'+
                    '<img src="img/detail/info_describle.png">'+
                    '<span>查询服务出错，稍后再试</span>'+
                '</div>';
        $("#content2").html(html);
    }
}

/*
    底部按钮跳转
*/
function fnToDescrible(index) {
    var param = {
        "base_guid":base_guid
    }
    switch (index) {
        case 0:
            var data = {};
            data.url = "wgt://km/common/title_nav.html";
            data.name = "guide_describle";
            data.title = "事项描述";
            data.frameUrl = "wgt://generalService/guide/guide_task_describle.html";
            data.frameName = "guide_task_describle";
            data.reload = true;
            data.framePageData = param;
            Base.openWin(data);
            break;
        case 1:
            var data = {};
            data.url = "wgt://km/common/title_nav.html";
            data.name = "guide_accept";
            data.title = "受理条件";
            data.frameUrl = "wgt://generalService/guide/guide_accept_condition.html";
            data.frameName = "guide_accept_condition";
            data.reload = true;
            data.framePageData = param;
            Base.openWin(data);
            break;
        case 2:
            var data = {};
            data.url = "wgt://km/common/title_nav.html";
            data.name = "declare_basis";
            data.title = "设立依据";
            data.frameUrl = "wgt://generalService/declare/declare_basis.html";
            data.frameName = "declare_basis";
            data.reload = true;
            data.framePageData = param;
            Base.openWin(data);
            break;
        case 3:
            var data = {};
            data.url = "wgt://km/common/title_nav.html";
            data.name = "guide_process";
            data.title = "办理流程";
            data.frameUrl = "wgt://generalService/guide/guide_process.html";
            data.frameName = "guide_process";
            data.reload = true;
            data.framePageData = param;
            Base.openWin(data);
            break;
    }

}