"use strict";

// Vue对象示例
var app = null;

// -- 界面初始化
Base.onViewCreate(function() {
    // appInit();
});
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    // Vue状态清理
    appInit();
	app.fnInit();
});

// Base.creatRefresh(function(p1) {
// 	if(!p1 || p1.state !== 'end') {
// 		// 下拉重新刷新
// 		app.hasMore = true;
// 		app.type = 'header';
// 		app.fnQuery();
// 	}
// }, function(p1) {
// 	if(!p1 || p1.state !== 'end') {
// 		if(app.hasMore) {
// 			// 上拉加载更多
// 			app.pageno++;
// 			app.type = 'footer';
// 			app.fnQuery();
// 		} else {
// 			// 如果已经没有更多数据，直接结束
// 			Base.removeUp();
// 			Base.msgTip('没有更多数据');
// 		}
// 	}
// });

function appInit(){
	app = new Vue({
        el: '#app',
        data: {
			hasMore: true,
			type: '',
			csj012:'kmosp243ggfw_kmosp_037',//接口编号
			aaa121:'kmosp0037',//信息平台分发编号
			projectNo: '',// 办件流水号
			keyWord: '',
			keyType: '',
			pageno: 1,
			pageSize: 10,
			proList: [], // 数据列表
			showState: '', // 非打包办状态展示
			start_time: '',
			end_time: '',
			keyword: '',
			takeTypeList: [{label: '大厅取件', value: 1}, {label: '快递取件', value: 2}, {label: '网上取件', value: 3}]
        },
        methods: {
			fnInit: function() {
				var pageParam = md.pageParam;
				console.log('--pageParam--' + JSON.stringify(pageParam));
				this.start_time = pageParam.start_time;
				this.end_time = pageParam.end_time;
				this.keyword = pageParam.keyword;
				this.fnQuery();
			},
			fmtTakeType: function(take_type) {
				var _this = this;
				take_type = parseInt(take_type) || 0;
				var take_type_desc = '无需取件';
				for (var i = 0; i < _this.takeTypeList.length; i++) {
					if (take_type == _this.takeTypeList[i].value) {
						take_type_desc = _this.takeTypeList[i].label;
					}
				}
				return take_type_desc;
			},
			fnSearch: function(keyWord) {
				this.keyWord = keyWord;
			},
			fmtDate: function(timeStamp) {
				return Base.formatDate(timeStamp,'yyyy-MM-dd HH:mm:ss');
			},
			fnQuery: function() {
				var _this = this;
				var queryParam = {};
				queryParam["jybh"] = 'SIH001';
				queryParam["csj012"] = _this.csj012;
				queryParam["aaa121"] = _this.aaa121;
				queryParam["start_time"] = _this.start_time;
				queryParam["end_time"] = _this.end_time;
				queryParam["keyword"] = _this.keyword;
				if(_this.projectNo.length > 0) {
					queryParam["project_no"] = _this.projectNo;
				}
				queryParam["aac002"] = Base.getStorage("aac002");
				console.log('--queryParem--' + JSON.stringify(queryParam));
				Base.requestServer("queryData", queryParam, function(data){
					// console.log('查询结果：'+JSON.stringify(data));
					if(data.code === 'S001'){
						var result = data.data.acceptProject;
						if(result.length <= 0) {
							Base.noDataPage('#app', '未查询到相关数据！');
							if (_this.projectNo.length > 0) {
								md.alert({
								    msg: '只能查询本人办件信息'
								});
							}
							return false;
						}
						if(Base.isArray(result)) {
							result.forEach(function(data){
								if(data.isdbb === '0') {
									data.dbbStatus = '非打包办';
									var processMap = data.processMap;
									if(Base.isArray(processMap)) {
										data.processMap.forEach(function(pro){
											if(!('event_end_time' in pro)) {
												_this.showState = pro.process_name;
												return false;
											}
										});
									}else {
										_this.showState = processMap.process_name;
									}
									data.showState = _this.showState;
								}else if(data.isdbb === '1') {
									data.dbbStatus = '打包办';
								}
								_this.proList.push(data);
							});
						}else{
							if(result.isdbb === '0') {
								result.dbbStatus = '非打包办';
								var processMap = result.processMap;
								if(Base.isArray(processMap)) {
									processMap.forEach(function(pro){
										if(!('event_end_time' in pro)) {
											_this.showState = pro.process_name;
											return false;
										}
									});
								}else {
									_this.showState = processMap.process_name;
								}
								result.showState = _this.showState;
							}else if(result.isdbb === '1') {
								result.dbbStatus = '打包办';
							}
							_this.proList.push(result);
						}
						// for(var i = 0; i < _this.proList.length; i++) {
						// 	console.log(JSON.stringify(_this.proList[i]));
						// }
						
					}else{
						md.alert(
						{
						    msg: data.message
						});
					}
				}, true);
				//如果type不为空，那已经有上拉/下拉刷新的标志，可以把Base.requestServer()方法的加载样式去掉
				// if(_this.type){
				//     Base.requestServer("queryData", queryParam, _this.fnCallBack(), false);
				// }else{
				//     Base.requestServer("queryData", queryParam, _this.fnCallBack(), true);
				// }
			},
			fnOpenDetail: function(pageParam) {
				var data = {};
			    data.reload = true;
			    data.url = "wgt://km/common/title_nav.html";
			    data.name = "siHandingCaipsDetail";
			    data.title = "办理进度详情";
			    data.frameName= "siHandingCaipsDetail_frame";
			    data.frameUrl = "wgt://km/sihanding/html/siHandingCaipsDetail.html";
			    data.framePageData = pageParam;
			    Base.openWin(data);
			},
			fmtAccept: function(acceptState) {
				var aState = '';
				if('01' === acceptState) {
					aState = '暂存';
				} else if('04' === acceptState) {
					aState = '退回受理';
				} else if('06' === acceptState) {
					aState = '办理中';
				} else if('10' === acceptState) {
					aState = '已办结';
				} else if('11' === acceptState) {
					aState = '已终止';
				} else {
					aState = '待反馈';
				}
				return aState;
			},
			// fnOpenShowImg: function(param) {
			// 	// param.project_no = this.project_no;
			//     var data = {};
			//     data.url = "wgt://km/common/title_nav.html";
			//     data.name = "uploadData";
			//     data.title = "材料列表";
			//     data.frameUrl = "wgt://generalService/query/uploadData.html";
			//     data.frameName = "uploadDataFrame";
			//     data.reload = true;
			//     data.framePageData = param;
			//     Base.openWin(data);
			// },
   //      	fnCallBack: function() {
			// 	var _this = this;
			// 	return function(callback_data){
			// 	    var list = callback_data.output;
			// 	    console.log("********" + JSON.stringify(callback_data));
			// 	    //list不存在
			// 	    //页码为1，清空页面中的数据
			// 	    if(_this.pageno === 1){
						
			// 	    }
			// 	    // 如果当前页没有满，表示没有更多数据
			// 	    // if (list.length !== pagerow) {
			// 	    //     hasMore = false;
			// 	    //     // 如果当前页就是第一页且未查询到任何数据，页面显示相关提示信息
			// 	    //     if(list.length === 0 && pageno === 1) {
			// 	    //         Base.noDataPage('.div-frame', '未查询到相关信息！');
			// 	    //     }
			// 	    // }
			// 	    // 如果为下拉刷新，结束下拉，如果为上拉加载，结束上垃
			// 	    if (_this.type === 'header') {
			// 	        Base.removeDown();
			// 	    } else if(_this.type === 'footer') {
			// 	        Base.removeUp();
			// 	    }
			// 	    _this.type = "";
			// 	};
			// }
        }
    });
}