"use strict";

// Vue对象示例
var app = null;

// -- 界面初始化
Base.onViewCreate(function() {
    // appInit();
});
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
	app.fnInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    // Vue状态清理
    appInit();
	app.fnInit();
});

function appInit(){
	app = new Vue({
        el: '.app',
        data: {
			infoTitle: '',
			infoMessage: '',
			infoStatus: 0
        },
        methods: {
			fnInit: function(){
				// 查询养老待遇资格认证状态,
				var _this = this;
				_this.fnChangeStatus();
			},
			fnChangeStatus: function(){
				var _this = this;
				if(_this.infoStatus == 0){
					_this.infoTitle = '您还未进行养老待遇资格认证！';
					_this.infoMessage = '养老待遇资格认证未成功！';
				} else if(_this.infoStatus == 1){
					_this.infoTitle = '您已进行养老待遇资格认证！';
					_this.infoMessage = '养老待遇资格认证已成功！';
				} else if(_this.infoStatus == 2){
					_this.infoTitle = '您正在进行养老待遇资格认证！';
					_this.infoMessage = '养老待遇资格认证未成功！';
				}
			},
        	sure: function(){
				var _this = this;
				// 改变状态
				_this.infoStatus = 2;
				_this.fnChangeStatus();
				var checkParam = {};
				checkParam["jybh"] = "ESCCOL001";
				checkParam["channelId"] = "5301000001";
				checkParam["aac002"] = Base.getStorage('aac002');
				checkParam["aac003"] = Base.getStorage('aac003');
				//判断是否进行电子社保卡密码验证
				Base.requestServer("esccService", checkParam, function(escdata){
					console.log('电子社保卡签发信息：'+JSON.stringify(escdata));
					if(escdata.checkmark == '0'){
					    md.alert({
					        title: '确认',
					        msg: '您还未使用昆明人社通APP申领过电子社保卡，请先申领电子社保卡！'
					    });
					}else{
					    var sceneType = '';
					    md.actionSheet({
					        title: '请选择认证方式',
					        cancelTitle: '取消',
					        buttons: ['人脸识别认证','手机短信认证','电子社保卡密码认证']
					    },function( ret ){
					        //人脸认证
					        if(ret.buttonIndex == 1){
					            sceneType = 3;
					        //手机短信验证    
					        }else if(ret.buttonIndex == 2){
					            sceneType = 2;
					        //电子社保卡密码验证    
					        }else if(ret.buttonIndex == 3){
					            sceneType = 1;
					        }else{
					            return;
					        }
					        //调用接口获取签名串
					        var signParam = {};
					        var security = {};
					        signParam["jybh"] = "ESSC001";
					        signParam["channelId"] = "5301000001";
							signParam["sceneType"] = sceneType;
							signParam["useType"] = "养老待遇资格认证身份认证";
							signParam["aac002"] = Base.getStorage('aac002');
							signParam["aac003"] = Base.getStorage('aac003');
					        security["aab301"] = "530100";
					        security["aac002"] = Base.getStorage('aac002');
					        security["aac003"] = Base.getStorage('aac003');
					        security["signNo"] = escdata.esccInfo.signNo;
					        security["isIndep"] = '1';
					        signParam.security = JSON.stringify(security);
					        Base.requestServer("queryData", signParam, function(signdata){
					            mdescc.openSceneSDK({
					                envType: 2,
					                sceneType:sceneType,
					                isBackSupport:true,
					                sign:signdata.sign
					            }, function(ret, err){
					                console.log('验证回调'+JSON.stringify(ret));
					                if(ret.status==true && ret.code=='0'){
					                    var msg = JSON.parse(ret.msg);
					                    if(msg.result||msg.busiSeq){
					                        mdescc.closeSdk();
											_this.infoStatus = 1;
					                    }
					                }else {
										_this.infoStatus = 0;
									}
									_this.fnCheck();
					                console.log('验证回调'+JSON.stringify(ret));
					            });
					        }, true);
					    });
					}
				}, true);
			},
			canal: function(){
				md.closeWin({
					animation: {
						type: 'fade',
						duration: 300
					}
				});
			},
			fnCheck: function(){
				var _this = this;
				var param = {};
				param["jybh"] = 'SIH001';
				param["csj012"] = "kmosp243kmosp0059";  //接口编号
				param["aaa121"] = 'kmosp0059';  //信息平台分发编号
				param["idPhoto"] = '';//身份证照片
				param["realPhoto"] = '';//拍照图片
				param["aac002"] = Base.getStorage("aac002");//身份证号
				param["aac003"] = Base.getStorage("aac003");//姓名
				param["aae011"] = '昆明市人社通';
				param["yab003"] = '昆明市人社通';
				param["phone"] = Base.getStorage("yae098");//电话号码
				param["gender"] = '';//性别
				param["nation"] = '';//民族
				param["address"] = '';//地址
				param["birth"] = '';//生日
				param["authority"] = '';//发证机关
				param["idvaliDate"] = '';//发证有效期
				param["aae013"] = '';//备注
				param["authsource"] = '2';//认证来源2
				param["aae100"] = _this.infoStatus;//有效标识（认证结果（1、0））
				Base.requestServer("queryData", param, function(data) {  //生成常用事项列表
					if ('S001' == data.code) {
						_this.infoStatus = 1;
						_this.fnChangeStatus();
						md.alert({
						    title: '您已进行养老待遇资格认证',
						    msg: '',
						    buttonTitle:'我知道了'
						});
					}
				},true);
			}
        }
    });
}