// 当前页码
var specDiseaseType = "";//两特用药病种编码
var specPersonType = "";//两特用药人群类别编码
var queryPersonType = "";//医保三大目录人群编码
var ake002 = "";//目录名称
var currentPage = 1;
var hasMore = true;
var pageSize = 10;
Base.ready(function(){
    //接收源页面传递过来的参数
    var receivedData = md.pageParam;
    specDiseaseType = receivedData.specDiseaseType;//两特用药病种编码
    specPersonType = receivedData.specPersonType;//两特用药人群类别编码
    queryPersonType = receivedData.queryPersonType;//医保三大目录人群类别编码
    ake002 = receivedData.ake002;//目录名称
    // 获取可报销的药品的相关信息
    getDrugInfo();
    //下拉刷新上拉加载更多
    Base.creatRefresh(function(p1) {
        if(!p1 || p1.state !== 'end') {
            // 下拉重新刷新
            // 清空数据
            $('.div_drugDetail').html('');
            currentPage = 1;
            hasMore = true;
            getDrugInfo('header');
        }
    }, function(p1) {
        if(!p1 || p1.state !== 'end') {
            if(hasMore) {
                // 上拉加载更多
                currentPage++;
                getDrugInfo('footer');
            } else {
                // 如果已经没有更多数据，直接结束
                Base.removeUp();
                Base.msgTip('没有更多数据');
            }
        }
    });
});

/**
 * 加载数据
 *
 * @param type 触发类型 'header'为下拉刷新, footer为上拉刷新,
 */
function getDrugInfo(type) {
    //alert(specDiseaseType + ", " + specPersonType + ", " + queryPersonType + ", " + ake002);
    // 设置请求参数
    var param = {};
    if(specDiseaseType){//两特病种可报销药品信息
        param["jybh"] = "Q310006";
        param["bka001"] = specDiseaseType;
        param["bac002"] = specPersonType;
        param["ake002"] = ake002;
        param["pageno"] = currentPage + "";
        param["pagerow"] = pageSize + "";
        Base.requestServer("queryData", param, callbackFunc1(type, currentPage), true);
    }else{//医保三大目录可报销药品信息
        param["jybh"] = "Q310005";
        param["bac002"] = queryPersonType;
        param["ake002"] = ake002;
        param["pageno"] = currentPage + "";
        param["pagerow"] = pageSize + "";
        Base.requestServer("queryData", param, callbackFunc1(type, currentPage), true);
    }
}

/**
 * 创建信息返回回调
 *
 * @param type 触发类型 'header'为下拉刷新, footer为上拉刷新
 */
function callbackFunc1(type, thisPage) {
    return function(callbackData) {
        //alert("callbackData: " + JSON.stringify(callbackData));
        var list = callbackData.output;
        var str = "";
        for(var i = 0; i < list.length; i++) {
            str =   '<table class="table_content">' +
                        '<tr class="tr_title fs-32">' +
                            '<td colspan="2"><div>' + list[i].ake002 + '</div></td>' +
                            '<td></td>' +
                        '</tr>' +
                        '<tr class="tr_content fs-30">' +
                            '<td>目录类别：</td>' +
                            '<td>' + list[i].ake003 + '</td>' +
                        '</tr>' +
                        '<tr class="tr_content fs-30">' +
                            '<td>收费等级：</td>' +
                            '<td>' + list[i].aka065 + '</td>' +
                        '</tr>' +
                        '<tr class="tr_content fs-30">' +
                            '<td>商品名称：</td>' +
                            '<td>' + list[i].bke008 + '</td>' +
                        '</tr>' +
                        '<tr class="tr_content fs-30">' +
                            '<td>剂&#12288;&#12288;型：</td>' +
                            '<td>' + list[i].aka070 + '</td>' +
                        '</tr>' +
                        '<tr class="tr_content fs-30">' +
                            '<td>规&#12288;&#12288;格：</td>' +
                            '<td>' + list[i].aka074 + '</td>' +
                        '</tr>' +
                        '<tr class="tr_content fs-30">' +
                            '<td>单&#12288;&#12288;位：</td>' +
                            '<td>' + list[i].aka067 + '</td>' +
                        '</tr>' +
                        '<tr class="tr_content fs-30">' +
                            '<td>产&#12288;&#12288;地：</td>' +
                            '<td><div>' + list[i].bke007 + '</div></td>' +
                        '</tr>' +
                    '</table>';
            $('.div_drugDetail').append(str);
        }
        // 如果当前页没有满，表示没有更多数据
        if (list.length !== pageSize) {
            hasMore = false;
            // 如果第一页加载就没有任何数据显示No Data
            if(list.length === 0 && thisPage === 1) {
                Base.noDataPage('.div_drugDetail', '未查询到相关药品数据！');
            }
        }
        // 如果为下拉刷新，结束下拉，如果为上拉加载，结束上垃
        if (type === 'header') {
            Base.removeDown();
        } else if(type === 'footer') {
            Base.removeUp();
        }
    };
}