/*
    备注：
    城镇职工基本医疗保险代码：310
    城镇企业职工基本养老保险代码：110
    城镇企业职工工伤保险代码：410
    城镇企业职工生育保险代码：510
    城乡居民基本医疗保险代码：390
    农业保险(城乡居民社会养老保险)代码：150
    失业保险代码：210(53010200811584)
*/
//参保险种代码
var insureCode = "";
var aac001 = "";
Base.ready(function(){
    var receivedData = md.pageParam;
    //获取险种代码
    insureCode = receivedData.insureCode;
    aac001 = receivedData.aac001;
    //初始化头部的年份(也即当前年份)
    initializeYearInfo();
});

//初始化头部的年份(也即当前年份)
function initializeYearInfo(){
    var currentTime = new Date();
    currentYear = currentTime.getFullYear();
    $("#lastYear").text(currentYear - 1);
    $("#currentYear").text(currentYear);
    $("#nextYear").text(currentYear + 1);
    //查询当前年份下的参保数据信息并显示在界面上
    queryDataOfPaymentDetail();
}

//点击上一年份事件
$("#lastYear").click(function(){
    var tempYear = $(".table_yearToChoose tr td:nth-child(2)").text();
    tempYear = parseInt(tempYear);

    //养老保险单独校验
    if(insureCode == '110' ||insureCode == '120'){
        var currentTime = new Date();
        currentYear = currentTime.getFullYear();
        if((currentYear-tempYear)>=1){
            Base.msgTip('养老保险仅提供最近两年缴费明细查询');
            return;
        }
    }
        $("#lastYear").text(tempYear - 2);
        $("#currentYear").text(tempYear - 1);
        $("#nextYear").text(tempYear);

    //查询当前年份下的参保数据信息并显示在界面上
    queryDataOfPaymentDetail();
});
//点击下一年份事件
$("#nextYear").on("click", function(){
    var tempYear = $(".table_yearToChoose tr td:nth-child(2)").text();
    tempYear = parseInt(tempYear);
    $("#lastYear").text(tempYear);
    $("#currentYear").text(tempYear + 1);
    $("#nextYear").text(tempYear + 2);
    //查询当前年份下的参保数据信息并显示在界面上
    queryDataOfPaymentDetail();
});

//根据参保险种的不同调用不同的交易进行查询
function queryDataOfPaymentDetail(){
    switch(insureCode){
        //城镇职工基本医疗保险
        case '310':
                medicalInsuranceFunc();
                break;
        //城镇企业职工基本养老保险
        case '110':
                endowmentInsuranceFunc();
                break;
        //城镇企业职工工伤保险
        case '410':
                industrialInjuryInsuranceFunc();
                break;
        //城镇企业职工生育保险
        case '510':
                procreatedInsuranceFunc();
                break;
        //农业保险(城乡居民社会养老保险)
        case '150':
                ruralEndowmentInsuranceFunc();
                break;
        //城乡居民基本医疗保险
        case '390':
                ruralMedicalInsuranceFunc();
                break;
        //失业保险
        case '210':
                unemployedInsuranceFunc();
                break;
        //机关事业单位养老保险
        case '120':
                endowmentInsuranceFunc();
                break;
        default:
                break;
    }
}
//城镇企业职工基本养老保险
function endowmentInsuranceFunc(){
    //获取养老个人编码
    //获取查询数据所属的年份
    var year = $("#currentYear").text();
    var inputData = {};
    inputData.jybh = "9009960007";
    inputData.aac001 = aac001;
    inputData.aae041 = year+"01";
    inputData.aae042 = year+"12";
    inputData.aac002 = Base.getStorage("aac002");
    inputData.aae140 = insureCode;
    Base.requestServer("ckQueryData", inputData, callBackFunc_2, true);
}
//城镇企业职工基本养老保险回调函数
function callBackFunc_2(callBackData){
    var length = callBackData.output.length;
    if (length != 0){
        var data = callBackData.output.resultset.feedetail;
        $(".div_outerFrame").html("");
        if(Number(data) == 0){
            $("body").css("background-color", "#ffffff");
            Base.noDataPage(".div_outerFrame", "未查询到相关数据！");
            return false;
        }
    }else {
        $("body").css("background-color", "#ffffff");
        Base.noDataPage(".div_outerFrame", "未查询到您的缴费明细信息！");
        return false;
    }
    //颠倒顺序
    data.reverse();
    var html = "";
    var tipMsg = "";
    var colorStyle = "";
    for(var index in data){
        if(data[index].aae201 == "1"){
            tipMsg = "正常缴费";
            //colorStyle = "#F5837A";
            colorStyle = "#3ADEA8";
            outOfAccount = "";
        }else{
            tipMsg = "补退收";
            colorStyle = "#888888";
            outOfAccount = "outOfAccount";
        }
        html += '<div class="md-box md-ac md-as timePoint1 ' + outOfAccount + '">' +
                    '<div class="md-box md-ver md-ae md-pc time fs-28">' +
                        '<div>' + data[index].aae003 + '</div>' +
                        '<div style="color:' + colorStyle + ';font-size: 1.8vh">' + tipMsg + '</div>' +
                    '</div>' +
                    '<div class="axis">' +
                        '<div>' +
                            '<div></div>' +
                        '</div>' +
                        '<div></div>' +
                    '</div>' +
                    '<div class="md-box md-ver md-f1 event fs-28">' +
                        '<div class="md-box md-ac" style="display:none;">正常缴费</div>' +
                        '<div class="md-box md-ac">' +
                            '<div></div>' +
                            '<div class="md-box md-ac">缴费基数：' + data[index].aae180 + '</div>' +
                            '<div class="md-box md-f1"></div>' +
                        '</div>' +
                        '<div class="md-box ma-ac">' +
                            '<div class="md-box md-ac">个人缴费比例</div>' +
                            '<div class="md-box md-f1"></div>' +
                            '<div class="md-box md-ac">' + data[index].aaa041 + '</div>' +
                        '</div>' +
                        '<div class="md-box ma-ac">' +
                            '<div class="md-box md-ac">个人缴费</div>' +
                            '<div class="md-box md-f1"></div>' +
                            '<div class="md-box md-ac">' + data[index].yad003_yl + '</div>' +
                        '</div>' +
                    '</div>' +
                '</div>';
    }
    $("body").css("background-color", "#f4f4f4");
    $(".div_outerFrame").html(html);
}

//城镇企业职工工伤保险
function industrialInjuryInsuranceFunc(){
    //获取个人编码
    Base.noDataPage(".div_outerFrame", "暂不支持查询工伤保险缴费明细！");
}
//城镇企业职工工伤保险回调函数
function callBackFunc_3(callBackData){
    var data = callBackData.output.resultset.feedetail;
    $(".div_outerFrame").html("");
    if(Number(data) == 0){
        $("body").css("background-color", "#ffffff");
        Base.noDataPage(".div_outerFrame", "未查询到相关数据！");
        return false;
    }
    //颠倒顺序
    data.reverse();
    var html = "";
    var tipMsg = "";
    var colorStyle = "";
    for(var index in data){
        if(data[index].aae201 == "1"){
            tipMsg = "正常缴费";
            //colorStyle = "#F5837A";
            colorStyle = "#3ADEA8";
            outOfAccount = "";
        }else{
            tipMsg = "补退收";
            colorStyle = "#888888";
            outOfAccount = "outOfAccount";
        }
        html += '<div class="md-box md-ac md-as timePoint1 ' + outOfAccount + '">' +
                    '<div class="md-box md-ver md-ae md-pc time fs-28">' +
                        '<div>' + data[index].aae003 + '</div>' +
                        '<div style="color:' + colorStyle + ';">' + tipMsg + '</div>' +
                    '</div>' +
                    '<div class="axis">' +
                        '<div>' +
                            '<div></div>' +
                        '</div>' +
                        '<div></div>' +
                    '</div>' +
                    '<div class="md-box md-ver md-f1 event fs-28">' +
                        '<div class="md-box md-ac" style="display:none;">正常缴费</div>' +
                        '<div class="md-box md-ac">' +
                            '<div></div>' +
                            '<div class="md-box md-ac">缴费基数：' + data[index].aae180 + '</div>' +
                            '<div class="md-box md-f1"></div>' +
                        '</div>' +
                        '<div class="md-box ma-ac">' +
                            '<div class="md-box md-ac">个人缴费</div>' +
                            '<div class="md-box md-f1"></div>' +
                            '<div class="md-box md-ac">' + data[index].yad003_yl + '</div>' +
                        '</div>' +
                    '</div>' +
                '</div>';
    }
    $("body").css("background-color", "#f4f4f4");
    $(".div_outerFrame").html(html);
}
//农业保险(城乡居民社会养老保险)
function ruralEndowmentInsuranceFunc(){
    //获取个人编码
    var personalNumber = Base.getStorage("aac001");
    //获取查询数据所属的年份
    var year = $("#currentYear").text();
    //统筹区编码（不传）
    //var areano = Base.getStorage("areano");
    var inputData = {};
    inputData.jybh = "Q150001";
    inputData.aac001 = personalNumber;
    inputData.year = year;
    Base.requestServer("ckQueryData", inputData, callBackFunc_5, true);
}
//农业保险(城乡居民社会养老保险)回调函数
function callBackFunc_5(callBackData){
    var data = callBackData.output;
    $(".div_outerFrame").html("");
    if(Number(data) == 0){
        $("body").css("background-color", "#ffffff");
        Base.noDataPage(".div_outerFrame", "未查询到相关数据！");
        return false;
    }
    var html = "";
    var tipMsg = "";
    var colorStyle = "";
    for(var index in data){
        if(data[index].aae078 == "1"){
            tipMsg = "正常缴费";
            //colorStyle = "#F5837A";
            colorStyle = "#3ADEA8";
            outOfAccount = "";
        }else{
            tipMsg = "补退收";
            colorStyle = "#888888";
            outOfAccount = "outOfAccount";
        }
        html += '<div class="md-box md-ac md-as timePoint1 ' + outOfAccount + '">' +
                    '<div class="md-box md-ver md-ae md-pc time fs-28">' +
                        '<div>' + data[index].aae003 + '</div>' +
                        '<div style="color:' + colorStyle + ';">' + tipMsg + '</div>' +
                    '</div>' +
                    '<div class="axis">' +
                        '<div>' +
                            '<div></div>' +
                        '</div>' +
                        '<div></div>' +
                    '</div>' +
                    '<div class="md-box md-ver md-f1 event fs-28">' +
                        '<div class="md-box md-ac" style="display:none;">正常缴费</div>' +
                        '<div class="md-box md-ac">' +
                            '<div></div>' +
                            '<div class="md-box md-ac">个人缴费：' + data[index].aae019 + '</div>' +
                            '<div class="md-box md-f1"></div>' +
                        '</div>' +
                        '<div class="md-box ma-ac">' +
                            '<div class="md-box md-ac">省级财政补贴</div>' +
                            '<div class="md-box md-f1"></div>' +
                            '<div class="md-box md-ac">' + data[index].aae020 + '</div>' +
                        '</div>' +
                        '<div class="md-box ma-ac">' +
                            '<div class="md-box md-ac">市级财政补贴</div>' +
                            '<div class="md-box md-f1"></div>' +
                            '<div class="md-box md-ac">' + data[index].aae021 + '</div>' +
                        '</div>' +
                        '<div class="md-box ma-ac">' +
                            '<div class="md-box md-ac">县级财政补贴</div>' +
                            '<div class="md-box md-f1"></div>' +
                            '<div class="md-box md-ac">' + data[index].aae022 + '</div>' +
                        '</div>' +
                        '<div class="md-box ma-ac">' +
                            '<div class="md-box md-ac">村集体补贴</div>' +
                            '<div class="md-box md-f1"></div>' +
                            '<div class="md-box md-ac">' + data[index].aae023 + '</div>' +
                        '</div>' +
                    '</div>' +
                '</div>';
    }
    $("body").css("background-color", "#f4f4f4");
    $(".div_outerFrame").html(html);
}


//失业保险
function unemployedInsuranceFunc(){
    //获取个人编码（也即社保卡号）
    var personalNumber = Base.getStorage("aac001");
    //获取查询数据所属的年份
    var year = $("#currentYear").text();
    var inputData = {};
    inputData.jybh = "Q210001";
    inputData.aac001 = personalNumber;
    inputData.year = year;
    Base.requestServer("ckQueryData", inputData, callBackFunc_7, true);
}
//失业保险回调函数
function callBackFunc_7(callBackData){
    var data = callBackData.output;
    $(".div_outerFrame").html("");
    if(data.length === 0 || data.length === undefined){
        $("body").css("background-color", "#ffffff");
        Base.noDataPage(".div_outerFrame", "未查询到相关数据！");
        return false;
    }
    var html = "";
    var tipMsg = "";
    var colorStyle = "";
    for(var i=0; i < data.length; i++){
        if(data[i].status == "1"){
            tipMsg = "正常缴费";
            //colorStyle = "#F5837A";
            colorStyle = "#3ADEA8";
            outOfAccount = "";
        }else{
            tipMsg = "补退收";
            colorStyle = "#888888";
            outOfAccount = "outOfAccount";
        }
        html += '<div class="md-box md-ac md-as timePoint1 ' + outOfAccount + '">' +
                    '<div class="md-box md-ver md-ae md-pc time fs-28">' +
                        '<div>' + data[i].payMonth + '</div>' +
                        '<div style="color:' + colorStyle + ';">' + tipMsg + '</div>' +
                    '</div>' +
                    '<div class="axis">' +
                        '<div>' +
                            '<div></div>' +
                        '</div>' +
                        '<div></div>' +
                    '</div>' +
                    '<div class="md-box md-ver md-f1 event fs-28">' +
                        '<div class="md-box md-ac" style="display:none;">正常缴费</div>' +
                        '<div class="md-box md-ac">' +
                            '<div></div>' +
                            '<div class="md-box md-ac">缴费基数：' + data[i].payBase + '</div>' +
                            '<div class="md-box md-f1"></div>' +
                        '</div>' +
                        '<div class="md-box ma-ac">' +
                            '<div class="md-box md-ac">单位缴费</div>' +
                            '<div class="md-box md-f1"></div>' +
                            '<div class="md-box md-ac">' + data[i].unitPay + '</div>' +
                        '</div>' +
                        '<div class="md-box ma-ac">' +
                            '<div class="md-box md-ac">个人缴费</div>' +
                            '<div class="md-box md-f1"></div>' +
                            '<div class="md-box md-ac">' + data[i].personPay + '</div>' +
                        '</div>' +
                    '</div>' +
                '</div>';
    }
    $("body").css("background-color", "#f4f4f4");
    $(".div_outerFrame").html(html);
}
