var hospitalConfig = {
    "action": {},
    "info": {"regInfo": [], "navPic": []}
};
var shospitalId;
var myParam;
Base.ready(function(){
    var param = md.pageParam;
    shospitalId = param.hospitalId;
    $("#doctor_name").text(param.name);
    $("#doctor_favi").text(param.proffessor);
    $("#dept_name").text(param.deptName);
    myParam = getSaveStorage('cardParam', {});
    //加载医生信息
    loadDoctorDetail(param.hospitalId,param.doctCode);
    //加载挂号须知
    loadHospitalConfig(param.hospitalId);
    //加载挂号信息
    main(param);
});
    /**
     * 获取本地存储
     * @param {String} key 本地存储键
     * @param {Object} defaultValue 当数据不存在或JSON解析异常返回的默认值, 缺省为undefined
     * @return {Object} 本地存储结果, 如果本地存储不存在, 返回defaultValue值
     */
function getSaveStorage(key, defaultValue) {
        var value = undefined;
        var jsonValue = null;
        try {
            jsonValue = Base.getStorage(key);
            if(!!jsonValue){
                value = JSON.parse(jsonValue)
            }
        } catch(e) {
            // JSON解析异常, 为了避免问题扩大, 日志后删除本地存储
            console.log('解析本地存储异常: ' + jsonValue);
        }

        // 如果value未定义, 取默认值返回
        if (!value) {
            value = defaultValue;
        }
        return value;
    };
function loadDoctorDetail(hospital_id,doctor_id) {
    var sexArr = ["女", "男"];
    Base.requestServeryyt("queryDoctorDetail", {hospital_id: hospital_id, doctor_id: doctor_id}, function (data) {
        if(data.error === false && data.items[0] != null && typeof data.items[0] == "object") {
            var item = data.items[0];
            if((item.goodat).length>60){
                $("#doc_favi").text((item.goodat).substring(0,55)+'...' ||  "");
            }else{
                $("#doc_favi").text(item.goodat ||  "");
            }
            if(item.doctor_id != undefined && item.doctor_id != "" && item.photo_flag == 1) {
                var hospitalId = hospital_id;
                var path = $.trim(item.doctor_id);
                $(".docIcon").css("background-image", "url("+Base.yytFilePath+ 'h' + hospitalId + '/d/' + path + ".jpg)");
            }
            $(".doctor-sex").text(sexArr[(item.sex === 0) ? 0 : 1]);
        }
    }, false);
}
function loadHospitalConfig(hospital_id) {
    var param = {};
    md.ajax({
            url: Base.yytFilePath + 'h' + hospital_id + '/his_config.json?' + new Date().getTime(),
            method: "post",
            tag:'postmethod',
            data: { values: param }
        },function(ret, err){
            console.log("--out--:" + JSON.stringify(ret));
            Base.removeGifMask();
            hospitalConfig = ret.body || hospitalConfig;
            var regInfolist = ret.body.info.regInfo;
            if(regInfolist.length !== 0) {
                var noticeDiv = $('#wt_notice');
                noticeDiv.html('');
                for(var i = 0; i < regInfolist.length; i++) {
                   noticeDiv.append('<div class="md-box md-ac warmingText"><div class="Bcircle"></div><div class="md-box md-ac">'
                            + regInfolist[i] + '</div></div>'); 
                }
            }
        });
}
function main(data) {
    init(data);
}
//初始化 判读是否预约
function init(dataParam) {
    //判断是否今天
    if(dataParam.isToday) { 
        //今天
         $('.regBtn').text("挂号");
         $('.p-title').text("挂号");
     } else {
         $('.regBtn').text("预约");
         $('.p-title').text("预约");
     }
     $(".transmoney").text(dataParam.totalRegFee || "");
     $(".noonname").text(dataParam.noonName || "");
     $(".weekday").text(dataParam.weekday || "");
     $(".select-date").text((dataParam.beginTime + "").split(" ")[0]);
     subscribe(dataParam);
}
//保存预约/挂号
function subscribe(data) {
    var TransCode = "0124"; //预约
    var regType = 0;
    if (data.isToday) {
        TransCode = "010"; //挂号
        regType = 1;
    }
    var param = {
        "TransCode": TransCode, //保存挂号
        "hospitalId": data.hospitalId,
        "TransNO": "0000007", //自助交易流水号:7位唯一，他们是从0000000开始自增的
        "BankTransNO" : "000000253807",//银行交易号
        "TransMoney": data.totalRegFee, //交易金额
        "DeptCode": data.deptCode, //挂号科室
        "DeptName": data.deptName,
        "DoctCode": data.doctCode, //医生编码
        "DoctName": data.name,
        "RegLeve": data.regLeve, //挂号级别
        "RegLeveName": data.regLeveName, //挂号级别名称
        "BeginTime": data.beginTime, //看诊开始时间
        "EndTime": data.beginTime, //看诊结束时间
        "SchemaID": data.schemaID, //排班病号id
        "CheckPoint": data.noonName, //上午下午
        "regType": regType,
        "ReservationDate": data.beginTime, //预约看病时间
        "NoonName": data.noonName,
        "Diag_Fee": data.diagFee,
        "RegFee": data.regFee
    };
    var gotoNext = function() {
            param.person_cardno = Base.getStorage("aac002");//身份证号
            param.user_id = Base.getStorage("aac001");
            param.Name = Base.getStorage("aac003");
            param.Phone = Base.getStorage("yae098");
            param.Sex = getIdcardSex(param.person_cardno);
            param.BirthDay = getIdcardBirthday(param.person_cardno);
            param.Address = "";
            param.CardNO = myParam.sickno || "";
            param.MarkNO = myParam.cardno;
            var sparam = {};
            sparam.url = "wgt://km/common/title_nav.html";
            sparam.name = "regConfirm";
            sparam.title = "挂号缴费";
            sparam.frameName = "regConfirm_frame";
            sparam.framePageData = param;
            sparam.reload = true;
            sparam.frameUrl = "wgt://yyt/reg/regConfirm.html";
            Base.openWin(sparam);
    }
    Base.click(".regBtn",function($this){
        if(!!hospitalConfig.info.regCheck) {
            md.confirm({
                        title: '提示',
                        msg: hospitalConfig.info.regCheck,
                        buttons: ['取消','确认']
                    },function( ret, err ){
                        if(ret.buttonIndex == 2 ){
                            gotoNext();
                        }
                    });
        } else {
            gotoNext();
        }
    });
}
function getIdcardSex(idcard){
    if(idcard.length == 15){
        return "";
    }
    var sex = parseInt(idcard.substring(16,17));
    if(sex % 2 == 0){
        return "女";
    }else{
        return "男";
    }
}
function getIdcardBirthday(idcard) {
    return idcard.substring(6, 10) + "-" + idcard.substring(10, 12) + "-" + idcard.substring(12, 14);
}